Vector Hardware Config

Introduction

General Information

Vector Hardware Config is a global configuration and diagnostic tool for installed Vector devices. The tool gives you an overview of Vector devices that are connected to the PC as well as related device information (e. g. channel configuration, inserted Piggybacks, bus capabilities, serial number, version, licenses etc.).

With Vector Hardware Config, you can configure the hardware channels that are used to transmit and receive data in a specific Vector application (e. g. CANoe, CANalyzer, CANape, XL API applications, ...). You also can change global settings as well as specific device settings.

Basic Concept

Before a message can be transmitted or received via an installed Vector device and an available transceiver, you have to specify the physical channels that have to be used by your Vector application.

Therefore each Vector application creates an entry in Vector Hardware Config to store your settings which are read at runtime.

Note

Note

A logical channel (e. g. CANalyzer | CAN 1) can access only one physical channel (e. g. VN1610 | Channel 1), but a physical channel can be assigned to multiple applications.

Note

Note

After Vector Hardware Config has been installed, two virtual channels are available for testing purposes (no real device is required). Both channels are interconnected by default. In order to edit this setting, click on the node Virtual CAN Bus 1 and change the setting Channels connected to NO in the right part of the window. Afterwards a restart of the PC is required.

User Interface

The application window is divided into two parts: the tree view on the left and the details view on the right. In addition, the tree view is divided into five sections describing different topics:

  • Hardware
    List of installed Vector devices and their settings.
    Further details on this section can be found in Hardware.

  • Application
    List of all available applications (e. g. CANoe, CANalyzer).
    Further details on this section can be found in Application.

  • Global Settings
    Overall settings and information.
    Further details on this section can be found in Global Settings.

  • Driver Status
    Information on the driver.
    Further details on this section can be found in Driver Status.

  • License
    Information on available licenses.
    Further details on this section can be found in License.

What's next?

Get details on the main menu:

  • Application
  • License
  • Support
  • Help

Get details on the tree view:

  • Hardware
  • Application
  • Global Settings
  • Driver Status
  • License

Version 11.6
© Vector Informatik GmbH


Application

Main Menu Application

Description

Item

Description
Add

Adds a new item in the tree view section Application. Each item can have a set of different bus types and the according channel configurations that are read by the application at runtime. In general, those items are created by Vector applications. Create own items for your XL API applications or for 3rd party products that are supported by Vector (e. g. via CAN Driver for LabVIEW or DIAdem).

Export settings

Exports the channel configuration as well as the channel description into a separate export file (*.vaset). The channels/applications to be exported can be selected in the dialog. The export function can also be used to backup the standalone/default configuration of some devices (e. g. VN5640).
Import settings

Imports the entire channel configuration as well as the channel description from an export file (*.vaset). The import function can also be used to restore the standalone/default configuration of some devices (e. g. VN5640). The previous exported configuration is recovered one-to-one. With a recovery, existing channels of the current configuration might be deleted.

The export file (*.vaset) can also be opened via a double-click if Vector Hardware Config has been properly installed via a driver installation.


License

Main Menu License

Description

Item | Description
Generate license status… | Generates a file containing the license information on all currently plugged devices. This file can be saved with [Save as...] or saved and sent to the Vector support by e-mail with [E-mail...] (this requires an installed e-mail client).
Enter license key | Enables entering new license keys for a Vector device (e. g. VN1630).
Import license file… | Imports a license file. The according licenses are written into the device. Therefore the device must be installed and connected. License files are provided by the Vector support or by sales in order to change licenses on your device. In some cases a reassurance about the license changes must be sent back to Vector. Therefore a license status file must be generated (see License | Generate license status...).


Support

Main Menu Support

Description

Item | Description
Save configuration report | Saves all necessary system information and configuration settings needed by the Vector support.
Check internet for updates... | Opens the Vector website.


Help

Main Menu Help

Description

Item | Description
Contents | Opens this online help.
About | Shows the copyright and version information.


Hardware

Tree View Hardware

Description

Overview

In this section you can find all installed Vector devices. Use this section to assign a physical channel (e. g. VN1610 | Channel 1) to a logical channel of an application (see examples below).

Select a listed device to see its general information and to change overall settings (editable parameters are marked with a hand icon and can be changed by a right-click or a double-click):

Note

Note

The available items on the right depend on the selected device and its features.

Item (depends on device)

Description
Type | Hardware type (e. g. PCMCIA or USB 2.0) of the device.
Serial number | Serial number of the device.
Driver version | Installed driver version for the device.
Firmware version | Programmed firmware version of the device.
Hardware revision | Hardware revision of the device.
Capabilities | Supported bus systems.
Features | Additional features of the device.
Multiple device mode

OFF
The devices are listed in the same order as they have been inserted. The indexes will change by removing or inserting devices.

ON
The device index is based on its serial number. The indexes will not be changed or reordered if the devices are removed. On insertion of the device, the same index is assigned as last time.
Receive Latency

Provides configuration for the receive latency. Allows balancing of receive latency and host PC load (USB devices only).
Number of channels

Only for devices of the VN7500 and VN8900 interface family.

In general, applications support up to 64 hardware channels at the same time. By installing multiple VN7500 and VN8900 devices in a single PC, the overall number of (theoretical) hardware channels may higher than 64 and partly not available to the application. In this case you can disabled unneeded hardware channels to limit the overall number to 64.
Time sync info

Shows the configured time synchronization setting and the status of the configured time synchronization.

Closed Possible values

  • Status
    Overall status of synchronization/configuration.

    • In Sync
      Successfully synchronized.

    • Out Of Sync
      Synchronization failed (usually due to wrong configuration or missing synchronization object (e.g. Hw Sync cable missing, Master missing, no satellite signal,…).

    • Cfg Ok
      Device configuration successfully applied.

    • Cfg Not OK
      Device configuration cannot be applied.

  • TimeScale
    Used time scale for the event timestamps.

    • Arbitrary
      Arbitrary timescale.

    • UTC
      Universal Time Coordinated.

    • TAI
      International Atomic Time.

  • Active master protocol
    The activated master protocol on the device which delivers the time to other connected slave devices.

    • No protocol
      No master protocol active.

    • IEEE1588
      Device operates as IEEE1588 Master.

    • Hardware
      Device operates as Hardware Synchronization Master.

    • Software
      Device operates as Software Synchronization Master.

  • Active slave protocol
    The activated slave protocol on the device which is used to synchronize to the master’s time.
    • No protocol
      No slave protocol active. Clock on device is free running.

    • GNSS
      Synchronization to GNSS (Global Navigation Satellite System) active.

    • IEEE1588
      Synchronization to IEEE1588 Master active.

    • Hardware
      Synchronization to Hardware Synchronization Master active.

    • Software
      Synchronization to Software Synchronization Master active.

    • Legacy
      Synchronization to PC performance Counter active (in order to sync with legacy devices).

  • Protocol Master
    The master device to which the current device is synchronized to by the active slave protocol. (This item is only shown if there is more than one level of synchronization and thus the protocol master differs from the cluster master).

    • Status
      Status of the synchronization to protocol master (for values see overall status above).

  • Cluster Master
    The overall master device of the whole synchronization cluster (e.g. VN4610 synchronized by GNSS or an external IEEE1588 Master). The device name is shown if resolvable, otherwise only the clock UUID is shown.

    • Status
      Status of the synchronization to cluster master (for values see overall status above).

Settings can be changed via Time sync device configuration icon.

Note

Note

The time synchronization is used to compensate the drift of the clocks from different device channels. This is necessary if you use more than one device in your configuration, because each device uses its own clock to generate accurate time stamps.

Note

Note

Several Protocols can be mixed in configuration. E.g. GNSS Slave + IEEE1588 Master + Hardware Synchronization Master. This allows e.g. to deliver the UTC time to the whole system.
Ethernet device configuration

Opens the Vector Ethernet Device Configuration dialog. This dialog can also be opened via context menu on the device tree item.

Used for configuration of the Ethernet settings of the device (e.g. ports, switches, networks)

For details see online help of the Vector Ethernet Device Configuration dialog.
Ethernet access mode configuration

Opens the Ethernet access mode configuration dialog. This dialog can also be opened via context menu on the device tree item.

Used for switching between network-based or channel-based Ethernet device access modes.

For details see manual of VN5640 or VN5610(A) respectively.
Time sync device configuration

Opens the time synchronization configuration dialog. This dialog can also be opened via context menu on the device tree item.

Used to configure the time synchronization settings of the device (e.g. Hardware synchronization, Software synchronization, IEEE1588 and GNSS).

See Time sync info above for explanation of the different synchronization protocols. There you can also see the status of the synchronization.

Note

Note

To achieve the optimal synchronization results it is recommended to use IEEE1588, Hardware Synchronization, or GNSS. Software synchronization should only be enabled, if you want to use hardware with driver version < V11.2 in your configuration or if you want to use a device which does not support another synchronization protocol.

Below, select a listed channel of a device to see further information and to change channel settings (editable parameters are marked with a hand icon and can be changed by a right-click or a double-click):

Note

Note

The available items on the right depend on the selected device channel and its features.

Item (depends on device) | Description
Channel | Channel number of the device.
On bus | Displays whether an application is accessing the channel.
Transceiver | Transceiver type (e. g. On board CAN 1051cap, CANpiggy 1041Amag).
Default CAN baud rate | Default baud rate for applications which have no baud rate settings (e. g. XL API applications). This dialog can also be opened by a right-click on a physical channel followed by clicking on Default CAN baud rate in the context menu.
(Segment) Description | User specific text to name the selected channel (e. g. "Engine"). The text appears next to the assigned logical channel.
Assigned applications | Displays the logical channels that are assigned to this physical channel.
Pin Assignment | Displays the current pin assignment.

Usage Examples and Tips

Example

Example

You can assign a physical channel and to a logical channel by right-clicking the physical channel (e. g. VN1610 | On board CAN 1051cap) and selecting an application channel in the context menu (e. g. CANalyzer | CAN1).

The change appears as follows:
Caution!

Caution!

If a physical/logical channel assignment is changed in Hardware, the change is also taken over in section Application.

Example

Example

You can change the assignment of a logical channel by right-clicking the it (e. g. CANalyzer | CAN1) and selecting another physical channel in the context menu (e. g. VN1610 1 | Channel 2).

Example

Example

You can delete all logical channels at once by right-clicking a device followed by Remove assignment in the context menu.


Application

Tree View Application

Description

Overview

In this section you find the channel configuration for specific applications. Each listed application item can have a set of different bus types and the according configurations that are read by the application at runtime.

Use this section to assign a physical channel (e. g. VN1610 | Channel 1) to a logical channel of an application. If no assignment exists, the note Not assigned appears. The assignment can be edited via a right-click on the application. An optional description text appears if it has been entered in section Hardware.

Usage Examples and Tips

Example

Example

You can assign physical channels to logical channels by selecting an application (e. g. CANalyzer) and then right-clicking on a logical channel (e. g. CAN 2). Select the physical channel in the context menu (e. g. VN1630A 1 | Channel 2).

The assignment appears as follows:

If you add a description for that physical channel (see section Hardware) the text will appear next to the channel.
Caution!

Caution!

If a physical/logical channel assignment is changed in Application, the change is also taken over in section Hardware.

Example

Example

You can change the channel usage for each application by right-clicking an application followed by a click on Application channel usage in the context menu.

Change the channel usage as required.

Start assigning physical channels to the logical channels by right-clicking them (e. g. CAN 2).

Example

Example

You can add own application items to access your settings, for example when using the XL Driver Library.

Right-click on Application followed by Add application in the context menu.

Enter a name for your application and change the channel usage as required.

Start assigning physical channels to the just created logical channels by right-clicking them (e. g. CAN 1).

Example

Example

You can delete all assignment at once by right-clicking an application followed by Remove assignment in the context menu.


Global Settings

Tree View Global Settings

Description

Overview

This section displays overall information on Vector devices and applications.

Item

Description
Software time synchronization

Activates the software time synchronization for all devices and their channels which are operated in Software Synchronization legacy mode or devices with driver version < 11.2. In section Hardware, the Time Sync Info shows which synchronization is activated and additionally shows the status of the activated synchronization.

Note

Note

To achieve the optimal synchronization results it is recommended to use IEEE1588, Hardware Synchronization, or GNSS. Software synchronization should only be enabled, if you want to use hardware with driver version < V11.2 in your configuration or if you want to use a device which does not support another synchronization protocol.
TX Queue size | Size of transmit buffer (messages) inside the driver for each channel. Please refer to the settings dialog for the devices that support this TX queue size configuration. All other devices have a greater TX queue with a fixed size.
Configuration flags | Use this value only in cooperation with our Vector support team for solving problems, leave the default value 0x0 (zero) for normal use. Any value different from 0x0 can affect computer and driver functionality.
Number of Virtual CAN Devices | Sets the number of virtual CAN devices in section Hardware, each with two virtual channels.


NetworkDevices

Tree View Network Devices

Description

Overview

The Network Devices section contains information on all current available Vector devices via TCP/IP.

If you want to connect your PC and the device via Ethernet instead of USB, the device has to be configured once.

Procedure

Step by Step Procedure

  1. Install the Vector Network Enumerator from the Vector Driver Disk if not yet installed.
  2. Open the Vector Hardware Config which has been installed with the drivers. For configuration, please be sure that the device is connected to your host via USB.
  3. Select the device in the tree view.
  4. On the Details page on the right, double-click Device Configuration. A new dialog appears.
  5. Change the Ethernet port mode to Host connection and enter a new IP address for the device that matches your network settings. Click [OK].
  6. Remove the USB cable from your host and the device. Connect your host and the device via an Ethernet cable. The device will be listed as not available (red icon).
  7. In the tree view, select Network Devices and click on Scan network on the right.
  8. If found in your network, the device will be listed on the Details page.
  9. Click [Connect]. The device is available again now.

Cross Reference

Cross Reference

Please find further details in section How to find Vector network devices over TCP/IP.


Driver Status

Tree View Driver Status

Description

Overview

The driver status view offers an overall diagnostic of devices and applications currently in use. You can see whether the channels are connected with the bus (Online/Offline), the baud rate, and whether the time synchronization is activated or not (Time-Sync-On/Time-Sync-Off).


License

Tree View License

Description

Overview

The License section contains information on all current available licenses (Vector bus devices, Vector License USB dongle devices).

Item | Description
Overview | Displays a list of all available licenses.
Device view | Displays a list of devices with their available licenses.


How to assign an application to a device channel

FAQ

Procedure

Step by Step Procedure

How to assign logical channels

  • In section Hardware, click the plus icon of a device to display the available physical channels of the device.
  • Right-click on one of those channels.
  • Select an application (logical channel) in context menu.


How to change the physical channel assignment of a logical channel

FAQ

Procedure

Step by Step Procedure

How to assign physical channels

  • In Application, right-click an application item.
  • On the right side, select the required physical channel by a right-click.


How to define the bus type

FAQ

Procedure

Step by Step Procedure

How to define the bus type (all Vector devices except CANcardXLe):

  • CANcardXL

    Connect the required Cab (CANcab, LINcab, IOcab) to the Vector device. The bus type is automatically recognized.
  • CANboardXL, CANcaseXL/log, VNxxxx

    Open the device and plug in the required Piggyback (CANpiggy, LINpiggy). The bus type is automatically recognized. A detailed description on how to change Piggybacks can be found in the manual of your device.

How to define the bus type for CANcardXLe

  • In section Hardware, right-click on the required CANcardXLe.
  • In the context menu, select Change Operation Mode | Operation Mode Wizard.
  • The dialog contains an overview of the current connected Cabs and the available channel configurations. Select a suitable operation mode. Please have a look on correctly connected Cabs and TWINcabs respectively.
  • Click on[Change] to accept your changes. Follow the instructions afterwards.

Further information on changing the operation mode of the CANcardXLe can be found in the manual of your device.


FAQ

Procedure

Step by Step Procedure

How to edit the CAN channel configuration

  • Select a device in section Hardware and click on one of the available physical channels with a right-click.
  • Click on Default CAN baud rate in the context menu.
  • Edit the configuration settings.

  • In Baud rate [baud], you can directly enter the required value (which will be rounded to nearest valid value by the CAN specifications). You can also use common pre-defined values by click on the [...] button. The baud rate of the CAN bus can also be configured by using Bus Timing Registers.
  • Click [OK].

This dialog is also available by a double click on Default CAN baud rate on the right if a physical channel is selected.


How to change the number of channels

FAQ

Procedure

Step by Step Procedure

How to change the number of application channels

  • In section Application, right-click on an application item.
  • In the context menu, click on Application channel usage.

  • Change the number the of channels.

  • Click [OK].


How to delete an application item

FAQ

Procedure

Step by Step Procedure

How to delete an application and its channel settings

  • In Application, right-click on an application item.
  • Click on Delete in the context menu.

  • Click [Yes].


How to add a new application

FAQ

Procedure

Step by Step Procedure

How to add a new application and logical channels

  • Right-click on Application followed by
  • Add application in the context menu.

  • Enter the name for the new application and choose the number of channels for each bus type (CAN, LIN, FlexRay, MOST, D/A IO, J1708 or K-Line).

  • Click [OK].

This dialog is also available via the menu Application | Add.


FAQ

Procedure

Step by Step Procedure

How to find Vector network devices over TCP/IP

  • Click Network Devices in the tree view.
  • Click on Scan network in the right part of the window.
    The update process starts.
  • Vector devices that have been found during the update process will be listed in the right part of the window.

How to connect to a Vector device over TCP/IP

  • Click Network Devices in the tree view and right-click on the Vector device to connect to.
    Click [Connect] (the Vector device is automatically connected if it has already been locally configured).
  • On successful connection, the device will be listed in the tree view.

How to disconnect a connected Vector device

  • Right-click the connected Vector device in the tree view and click [Disconnect].
    The icon changes from green (connected) to gray (disconnected).
    The auto-connection is also disabled now. For re-connection please follow the instructions above.

How to delete a found Vector device.

  • Right-click the connected Vector device in the tree view and click [Delete].
    The device will be removed from the tree view.

How to add a Vector device manually

  • Right-click Network Devices in the tree view and select [Add Device].
  • Enter the IP address and the subnet mask of the Vector device to be added.
  • The new Vector device will be listed in the tree view.
    In this example the Vector device is not accessible (see red icon).


Options

Vector Hardware Config

Command Line Options

General Information on Command Line Options

Vector Hardware Config offers a command line options as follows:

  • Syntax
    vcanconf [-impApplCfg [-filePathAndName:]]

  • Options
    -impApplCfg imports a Vector Application Setting *.vaset file.
    Required parameter -filePathAndName:.
    Return 0 on SUCCESS return a value > 0 on ERROR

Example

Example

Import of a 'Vector Application Setting' *.vaset file on the local computer. Overwrite existing settings without user confirmation. Double quotes are required.

vcanconf -impApplCfg -filePathAndName:"\\Path\To\FileName.vaset\"


Copyright/Contact

Description

© Vector Informatik GmbH
Holderäckerstraße 36
70499 Stuttgart
Germany

http://www.vector.com

Additional Copyrights/License Notes

According to the license, you may get the original sources as well as the partly changes from support@vector.com.

Closed ActiPro 18.1.0673

END-USER LICENSE AGREEMENT FOR ACTIPRO SOFTWARE LLC SOFTWARE

IMPORTANT - READ CAREFULLY: This Actipro Software LLC ("Actipro") End-User License Agreement ("EULA") is a legal agreement between you (“Licensee”), a developer of software applications, and Actipro for the Actipro software product accompanying this EULA, which includes computer software and may include associated source code, media, printed materials, and "on-line" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. If you do not agree to the terms of this EULA, do not install, use, distribute in any manner, or replicate in any manner, any part, file or portion of the SOFTWARE PRODUCT.

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

The Licensee is considered to be an authorized licensee (“Authorized”) if the Licensee has legitimately obtained a registered license for the SOFTWARE PRODUCT from Actipro or an authorized Actipro reseller.

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

The Licensee is considered to be an authorized licensee (“Authorized”) if the Licensee has legitimately obtained a registered license for the SOFTWARE PRODUCT from Actipro or an authorized Actipro reseller.

RIGOROUS ENFORCEMENT OF INTELLECTUAL PROPERTY RIGHTS. If the licensed right of use for this SOFTWARE PRODUCT is purchased by the Licensee with any intent to reverse engineer, decompile, create derivative works, and the exploitation or unauthorized transfer of, any Actipro intellectual property and trade secrets, to include any exposed methods or source code where provided, no licensed right of use shall exist, and any products created as a result shall be judged illegal by definition of all applicable law. Any sale or resale of intellectual property or created derivatives so obtained will be prosecuted to the fullest extent of all local, federal and international law.

GRANT OF LICENSE. This EULA, if legally executed as defined herein, licenses and so grants the Licensee the following rights:

Evaluation. If the downloaded SOFTWARE PRODUCT is designated as an Evaluation Release (“Evaluation Release”), the Licensee is granted a license for a period of only thirty (30) days after installation of the Evaluation Release of the SOFTWARE PRODUCT ("Evaluation Period"). After the Evaluation Period, the Licensee must either:

  1. Delete the SOFTWARE PRODUCT and all related files from ALL computers onto which it was installed or copied, or
  2. Contact Actipro or one of its authorized resellers to purchase the SOFTWARE PRODUCT.

The Licensee may use the Evaluation Release of the SOFTWARE PRODUCT for evaluation purposes only. The Licensee may not distribute ANY of the files, in any form or manner, provided with the Evaluation Release of the SOFTWARE PRODUCT to ANY PARTIES.

Development. Actipro grants the Licensee the non-exclusive license to install and use multiple copies of the SOFTWARE PRODUCT or any prior version for the sole purpose of developing any number of end user applications that operate in conjunction with the SOFTWARE PRODUCT. If the Licensee is not Authorized, the Licensee may not use the SOFTWARE PRODUCT beyond the Evaluation Period.

If the Licensee has purchased a single developer license (“Single Developer License”), the Licensee is Authorized to use the SOFTWARE PRODUCT indefinitely beyond the Evaluation Period. A Single Developer License for the SOFTWARE PRODUCT may not be shared or used concurrently by more than one individual developer. In a project that uses the SOFTWARE PRODUCT, each individual developer on the project requires a separate Single Developer License, regardless of whether they directly use the component or not. Single Developer Licenses may also be obtained in team discount packs.

If the Licensee has purchased a site license (“Site License”), each of the developers at a single physical location is considered Authorized according to the terms and conditions of the Single Developer License. Each additional physical location requires an additional Site License to be considered Authorized.

If the Licensee has purchased an enterprise license (“Enterprise License”), all developers in the Licensee's organization, regardless of location, are considered Authorized according to the terms and conditions of the Single Developer License.

If the Licensee has purchased a blueprint license (“Blueprint License”), each of the Authorized developers for the SOFTWARE PRODUCT is considered Authorized to access source code for the SOFTWARE PRODUCT ("Source Code"). The Blueprint License must be purchased at the same time as a Site License, Enterprise License, or one or more Single Developer Licenses. Source Code may exclude Actipro proprietary licensing code. The sale of Blueprint Licenses is considered final and neither the SOFTWARE PRODUCT nor Source Code may be returned under any circumstances.

Duplication and Distribution. The SOFTWARE PRODUCT may include certain files ("Redistributables") intended for distribution by the Licensee to the users of programs the Licensee creates. Redistributables include, for example, those files identified in printed or electronic documentation as redistributable files, or those files pre-selected for deployment by an install utility provided with the SOFTWARE PRODUCT (if any). In any event, the Redistributables for the SOFTWARE PRODUCT are only those files specifically designated as such by Actipro.

Subject to all of the terms and conditions in this EULA, if the Licensee is Authorized, Actipro grants the Licensee the non-exclusive, royalty-free license to duplicate the Redistributables and to distribute them solely in conjunction with software products developed by the Licensee that use them. The Licensee may not supply any means by which end users could incorporate the SOFTWARE PRODUCT or portions thereof into their own products.

Source Code. If the Licensee has purchased a Blueprint License and is Authorized, the Licensee is provided Source Code for the SOFTWARE PRODUCT. The following stipulations and restrictions apply to Source Code:

  1. Source Code shall be considered as part the SOFTWARE PRODUCT and all requirements stated above still apply, meaning that developers at a separate site from the one which purchased the Blueprint License are NOT able to work on any project created that uses the Source Code, unless that site has also purchased a Blueprint License. The only exception is when an Enterprise License has been purchased along with the Blueprint License, in which case the Source Code may be used by developers at any site.
  2. Actipro grants the Licensee the non-exclusive license to view and modify the Source Code for the sole purposes of education and troubleshooting. If the Licensee troubleshoots the Source Code, the Licensee may compile the corrected source code and use and distribute the resulting object code solely as a replacement for the corresponding Redistributables the Source Code compiles into.
  3. The Licensee may NOT distribute or sell the Source Code, or portions or modifications or derivative works thereof, to any third party not Authorized by the Licensee’s Blueprint License(s), without explicit permission by Actipro.
  4. The Licensee may not compete against Actipro by repackaging, recompiling, or renaming the SOFTWARE PRODUCT for which the Licensee purchased Source Code. Any derivative works based on the Source Code are illegal to be created or sold if they compete in any way with the SOFTWARE PRODUCT or other Actipro products.
  5. Any object code that is created by using the Source Code or derivative code based on the Source Code must be obfuscated.
  6. Any object code that is created by using the Source Code or derivative code based on the Source Code may NOT bear "ActiproSoftware" or the name of the SOFTWARE PRODUCT in the object code assembly name.
  7. All Source Code must be kept in its proper "ActiproSoftware" namespace.
  8. Actipro shall retain all rights, title and interest in and to all corrections, modifications and derivative works of the Source Code created by the Licensee, including all copyrights subsisting therein, to the extent such corrections, modifications or derivative works contain copyrightable code or expression derived from the Source Code.
  9. The Licensee acknowledges that the Source Code contains valuable and proprietary trade secrets of Actipro, and agrees to expend every effort to insure its confidentiality.
  10. Source Code may be obtained by coordinating with Actipro during the support period for the Blueprint License, typically one year in duration, starting on the date of purchase of the Blueprint License.

Storage/Network Use. The Licensee may also store or install a copy of the SOFTWARE PRODUCT on a storage device, such as a network server, used only to install or run the SOFTWARE PRODUCT on the the Licensee’s other computers over an internal network; however, the Licensee must acquire and dedicate a Single Developer License for each separate individual developer who wishes to use the SOFTWARE PRODUCT.

DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

Not for Resale Software. If the SOFTWARE PRODUCT is labeled and provided as "Not for Resale" or "NFR", then, notwithstanding other sections of this EULA, the Licensee may not resell, distribute, or otherwise transfer for value or benefit in any manner, the SOFTWARE PRODUCT or any derivative work using the SOFTWARE PRODUCT. The Licensee may not transfer, rent, lease, lend, copy, modify, translate, sublicense, time-share or electronically transmit the SOFTWARE PRODUCT, media or documentation. This also applies to any and all intermediate files, source code, and compiled executables.

Limitations on Reverse Engineering, Decompilation, and Disassembly. The Licensee may not reverse engineer, decompile, create derivative works, modify, translate, or disassemble the SOFTWARE PRODUCT, and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation. The Licensee agrees to take all reasonable, legal and appropriate measures to prohibit the illegal dissemination of the SOFTWARE PRODUCT or any of its constituent parts and redistributables to the fullest extent of all applicable local, US Codes and International Laws and Treaties regarding anti-circumvention, including but not limited to, the Geneva and Berne World Intellectual Property Organization (WIPO) Diplomatic Conferences.

Rental. The Licensee may not rent, lease, or lend the SOFTWARE PRODUCT.

Separation of Components, Their Constituent Parts and Redistributables. The SOFTWARE PRODUCT is licensed as a single product. The SOFTWARE PRODUCT and its constituent parts and any provided redistributables may not be reverse engineered, decompiled, disassembled, nor placed for distribution, sale, or resale as individual creations by the Licensee or any individual not expressly given such permission by Actipro. The provision of Source Code, if included with the SOFTWARE PRODUCT, does not constitute transfer of any legal rights to such code, and resale or distribution of all or any portion of all Source Code and intellectual property will be prosecuted to the fullest extent of all applicable local, federal and international laws. All Actipro libraries, Source Code, Redistributables and other files remain Actipro's exclusive property. The Licensee may not distribute any files, except those that Actipro has expressly designated as Redistributable.

Installation and Use. The license granted in this EULA for the Licensee to create his/her own compiled programs and distribute the Licensee’s programs and the Redistributables (if any), is subject to all of the following conditions:

  1. All copies of the programs the Licensee creates must bear a valid copyright notice, either their own or the Actipro copyright notice that appears on the SOFTWARE PRODUCT.
  2. The Licensee may not remove or alter any Actipro copyright, trademark or other proprietary rights notice contained in any portion of Actipro libraries, source code, Redistributables or other files that bear such a notice.
  3. Actipro provides no warranty at all to any person, and the Licensee will remain solely responsible to anyone receiving the Licensee’s programs for support, service, upgrades, or technical or other assistance, and such recipients will have no right to contact Actipro for such services or assistance.
  4. The Licensee will indemnify and hold Actipro, its related companies and its suppliers, harmless from and against any claims or liabilities arising out of the use, reproduction or distribution of the Licensee’s programs.
  5. The Licensee’s programs containing the SOFTWARE PRODUCT must be written using a licensed, registered copy of the SOFTWARE PRODUCT.
  6. The Licensee’s programs must add primary and substantial functionality, and may not be merely a set or subset of any of the libraries, Source Code, Redistributables or other files of the SOFTWARE PRODUCT.
  7. The Licensee may not use Actipro's or any of its suppliers' names, logos, or trademarks to market the Licensee’s programs, unless expressly given such permission by Actipro.

Support Services. Actipro may provide the Licensee with support services related to the SOFTWARE PRODUCT ("Support Services"). Use of Support Services is governed by Actipro policies and programs described in the user manual, in on-line documentation and/or other Actipro provided materials. Any supplemental software code provided to the Licensee as part of the Support Services shall be considered part of the SOFTWARE PRODUCT and subject to the terms and conditions of this EULA. With respect to technical information the Licensee provides to Actipro as part of the Support Services, Actipro may use such information for its business purposes, including for product support and development.

Software Transfer. The Licensee may NOT permanently or temporarily transfer ANY of the Licensee’s rights under this EULA to any individual or entity. Regardless of any modifications which the Licensee makes and regardless of how the Licensee might compile, link, and/or package the Licensee’s programs, under no circumstances may the libraries, redistributables, and/or other files of the SOFTWARE PRODUCT (including any portions thereof) be used for developing programs by anyone other than the Licensee. Only the Licensee as the licensed end user has the right to use the libraries, redistributables, or other files of the SOFTWARE PRODUCT (or any portions thereof) for developing programs created with the SOFTWARE PRODUCT. In particular, the Licensee may not share copies of the Source Code or Redistributables with other co-developers.

Termination. Without prejudice to any other rights or remedies, Actipro will terminate this EULA upon the Licensee’s failure to comply with all the terms and conditions of this EULA. In such event, the Licensee must destroy all copies of the SOFTWARE PRODUCT and all of its component parts including any related documentation, and must remove ANY and ALL use of such technology immediately from any applications using technology contained in the SOFTWARE PRODUCT developed by the Licensee, whether in native, altered or compiled state.

UPGRADES. If the SOFTWARE PRODUCT is labeled as an upgrade, the Licensee must be properly licensed to use the SOFTWARE PRODUCT identified by Actipro as being eligible for the upgrade in order to use the SOFTWARE PRODUCT. A SOFTWARE PRODUCT labeled as an upgrade replaces and/or supplements the SOFTWARE PRODUCT that formed the basis for the Licensee’s eligibility for the upgrade, and together constitute a single SOFTWARE PRODUCT. The Licensee may use the resulting upgraded SOFTWARE PRODUCT only in accordance with all the terms of this EULA.

COPYRIGHT. All title and copyrights in and to the SOFTWARE PRODUCT (including but not limited to any images, demos, source code, intermediate files, packages, photographs, animations, video, audio, music, text, and "applets" incorporated into the SOFTWARE PRODUCT), the accompanying printed materials, and any copies of the SOFTWARE PRODUCT are owned by Actipro or its subsidiaries. The SOFTWARE PRODUCT is protected by copyright laws and international treaty provisions. Therefore, the Licensee must treat the SOFTWARE PRODUCT like any other copyrighted material except that the Licensee may install the SOFTWARE PRODUCT for use by the Licensee. The Licensee may not copy any printed materials accompanying the SOFTWARE PRODUCT.

GENERAL PROVISIONS. This EULA may only be modified in writing signed by the Licensee and an authorized officer of Actipro. If any provision of this EULA is found void or unenforceable, the remainder will remain valid and enforceable according to its terms.

MISCELLANEOUS. If the Licensee acquired this product in the United States, this EULA is governed by the laws of the State of Ohio.

If this SOFTWARE PRODUCT was acquired outside the United States, then the Licensee, agrees and ascends to the adherence to all applicable international treaties regarding copyright and intellectual property rights which shall also apply. In addition, the Licensee agrees that any local law(s) to the benefit and protection of Actipro ownership of, and interest in, its intellectual property and right of recovery for damages thereto will also apply.

Should you have any questions concerning this EULA, or if you desire to contact Actipro for any reason, please contact us via our support web pages at http://www.actiprosoftware.com.

NO WARRANTIES. ACTIPRO EXPRESSLY DISCLAIMS ANY WARRANTY FOR THE SOFTWARE PRODUCT. THE PRODUCT AND ANY RELATED DOCUMENTATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR NONINFRINGEMENT. THE ENTIRE RISK ARISING OUT OF USE OR PERFORMANCE OF THE PRODUCT REMAINS WITH THE LICENSEE.

LIMITATION OF LIABILITY. TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL ACTIPRO OR ITS SUPPLIERS BE LIABLE FOR ANY SPECIAL, INCIDENTAL, INDIRECT, OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE PRODUCT OR THE PROVISION OF OR FAILURE TO PROVIDE SUPPORT SERVICES, EVEN IF ACTIPRO HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

Copyright (c) 2002-2013 Actipro Software LLC. All rights reserved.

Closed Anti-aliasing rasterizer from FreeType 2

The FreeType License (FTL) is used.

The FreeType Project LICENSE

----------------------------

2006-Jan-27

Copyright 1996-2002, 2006 by

David Turner, Robert Wilhelm, and Werner Lemberg

Introduction

============

The FreeType Project is distributed in several archive packages;

some of them may contain, in addition to the FreeType font engine,

various tools and contributions which rely on, or relate to, the

FreeType Project.

This license applies to all files found in such packages, and

which do not fall under their own explicit license. The license

affects thus the FreeType font engine, the test programs,

documentation and makefiles, at the very least.

This license was inspired by the BSD, Artistic, and IJG

(Independent JPEG Group) licenses, which all encourage inclusion

and use of free software in commercial and freeware products

alike. As a consequence, its main points are that:

o We don't promise that this software works. However, we will be

interested in any kind of bug reports. (`as is' distribution)

o You can use this software for whatever you want, in parts or

full form, without having to pay us. (`royalty-free' usage)

o You may not pretend that you wrote this software. If you use

it, or only parts of it, in a program, you must acknowledge

somewhere in your documentation that you have used the

FreeType code. (`credits')

We specifically permit and encourage the inclusion of this

software, with or without modifications, in commercial products.

We disclaim all warranties covering The FreeType Project and

assume no liability related to The FreeType Project.

Finally, many people asked us for a preferred form for a

credit/disclaimer to use in compliance with this license. We thus

encourage you to use the following text:

"""

Portions of this software are copyright © <year> The FreeType

Project (www.freetype.org). All rights reserved.

"""

Please replace <year> with the value from the FreeType version you

actually use.

Legal Terms

===========

0. Definitions

--------------

Throughout this license, the terms `package', `FreeType Project',

and `FreeType archive' refer to the set of files originally

distributed by the authors (David Turner, Robert Wilhelm, and

Werner Lemberg) as the `FreeType Project', be they named as alpha,

beta or final release.

`You' refers to the licensee, or person using the project, where

`using' is a generic term including compiling the project's source

code as well as linking it to form a `program' or `executable'.

This program is referred to as `a program using the FreeType

engine'.

This license applies to all files distributed in the original

FreeType Project, including all source code, binaries and

documentation, unless otherwise stated in the file in its

original, unmodified form as distributed in the original archive.

If you are unsure whether or not a particular file is covered by

this license, you must contact us to verify this.

The FreeType Project is copyright (C) 1996-2000 by David Turner,

Robert Wilhelm, and Werner Lemberg. All rights reserved except as

specified below.

1. No Warranty

--------------

THE FREETYPE PROJECT IS PROVIDED `AS IS' WITHOUT WARRANTY OF ANY

KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,

WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR

PURPOSE. IN NO EVENT WILL ANY OF THE AUTHORS OR COPYRIGHT HOLDERS

BE LIABLE FOR ANY DAMAGES CAUSED BY THE USE OR THE INABILITY TO

USE, OF THE FREETYPE PROJECT.

2. Redistribution

-----------------

This license grants a worldwide, royalty-free, perpetual and

irrevocable right and license to use, execute, perform, compile,

display, copy, create derivative works of, distribute and

sublicense the FreeType Project (in both source and object code

forms) and derivative works thereof for any purpose; and to

authorize others to exercise some or all of the rights granted

herein, subject to the following conditions:

o Redistribution of source code must retain this license file

(`FTL.TXT') unaltered; any additions, deletions or changes to

the original files must be clearly indicated in accompanying

documentation. The copyright notices of the unaltered,

original files must be preserved in all copies of source

files.

o Redistribution in binary form must provide a disclaimer that

states that the software is based in part of the work of the

FreeType Team, in the distribution documentation. We also

encourage you to put an URL to the FreeType web page in your

documentation, though this isn't mandatory.

These conditions apply to any software derived from or based on

the FreeType Project, not just the unmodified files. If you use

our work, you must acknowledge us. However, no fee need be paid

to us.

3. Advertising

--------------

Neither the FreeType authors and contributors nor you shall use

the name of the other for commercial, advertising, or promotional

purposes without specific prior written permission.

We suggest, but do not require, that you use one or more of the

following phrases to refer to this software in your documentation

or advertising materials: `FreeType Project', `FreeType Engine',

`FreeType library', or `FreeType Distribution'.

As you have not signed this license, you are not required to

accept it. However, as the FreeType Project is copyrighted

material, only this license, or another one contracted with the

authors, grants you the right to use, distribute, and modify it.

Therefore, by using, distributing, or modifying the FreeType

Project, you indicate that you understand and accept all the terms

of this license.

4. Contacts

-----------

There are two mailing lists related to FreeType:

o freetype@nongnu.org

Discusses general use and applications of FreeType, as well as

future and wanted additions to the library and distribution.

If you are looking for support, start in this list if you

haven't found anything to help you in the documentation.

o freetype-devel@nongnu.org

Discusses bugs, as well as engine internals, design issues,

specific licenses, porting, etc.

Our home page can be found at

https://www.freetype.org

Closed ASN.1 Compiler

Copyright (c) 2003-2016 Lev Walkin <vlm@lionet.info> and contributors

All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions

are met:

1. Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright

notice, this list of conditions and the following disclaimer in the

documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND

ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE

IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE

ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE

FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS

OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)

HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT

LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY

OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF

SUCH DAMAGE.

Closed Bootstrapper dotnetInstaller

MIT License (MIT)

Copyright (c) 2009-2012 Davide Icardi, Daniel Doubrovkine and Contributors.

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and

associated documentation files (the "Software"), to deal in the Software without restriction, including

without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell

copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the

following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial

portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT

LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO

EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER

IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE

USE OR OTHER DEALINGS IN THE SOFTWARE.

Closed Command Line Parser 2.7.82

The MIT License (MIT)

Copyright (c) 2005 - 2015 Giacomo Stelluti Scala & Contributors

Permission is hereby granted, free of charge, to any person obtaining a copy

of this software and associated documentation files (the "Software"), to deal

in the Software without restriction, including without limitation the rights

to use, copy, modify, merge, publish, distribute, sublicense, and/or sell

copies of the Software, and to permit persons to whom the Software is

furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in

all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE

AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER

LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,

OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN

THE SOFTWARE.

Closed flot

Copyright (c) 2007-2013 IOLA and Ole Laursen

Permission is hereby granted, free of charge, to any person

obtaining a copy of this software and associated documentation

files (the "Software"), to deal in the Software without

restriction, including without limitation the rights to use,

copy, modify, merge, publish, distribute, sublicense, and/or sell

copies of the Software, and to permit persons to whom the

Software is furnished to do so, subject to the following

conditions:

The above copyright notice and this permission notice shall be

included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,

EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES

OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND

NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT

HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,

WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING

FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR

OTHER DEALINGS IN THE SOFTWARE.

Closed Freetype 2 - Bitmap Distribution Format (BDF) support

Copyright (C) 2001-2002 by Francesco Zappa Nardelli

Permission is hereby granted, free of charge, to any person obtaining

a copy of this software and associated documentation files (the

"Software"), to deal in the Software without restriction, including

without limitation the rights to use, copy, modify, merge, publish,

distribute, sublicense, and/or sell copies of the Software, and to

permit persons to whom the Software is furnished to do so, subject to

the following conditions:

The above copyright notice and this permission notice shall be

included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,

EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF

MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY

CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,

TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE

SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

*** Portions of the driver (that is, bdflib.c and bdf.h):

Copyright 2000 Computing Research Labs, New Mexico State University

Copyright 2001-2002, 2011 Francesco Zappa Nardelli

Permission is hereby granted, free of charge, to any person obtaining a

copy of this software and associated documentation files (the "Software"),

to deal in the Software without restriction, including without limitation

the rights to use, copy, modify, merge, publish, distribute, sublicense,

and/or sell copies of the Software, and to permit persons to whom the

Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in

all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL

THE COMPUTING RESEARCH LAB OR NEW MEXICO STATE UNIVERSITY BE LIABLE FOR ANY

CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT

OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR

THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Closed Freetype 2 - Portable Compiled Format (PCF) support

Copyright (C) 2000 by Francesco Zappa Nardelli

Permission is hereby granted, free of charge, to any person obtaining

a copy of this software and associated documentation files (the

"Software"), to deal in the Software without restriction, including

without limitation the rights to use, copy, modify, merge, publish,

distribute, sublicense, and/or sell copies of the Software, and to

permit persons to whom the Software is furnished to do so, subject to

the following conditions:

The above copyright notice and this permission notice shall be

included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,

EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF

MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY

CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,

TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE

SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Closed Freetype 2 - zlib

Version 1.2.11, January 15th, 2017

Copyright (C) 1995-2017 Jean-loup Gailly and Mark Adler

This software is provided 'as-is', without any express or implied

warranty. In no event will the authors be held liable for any damages

arising from the use of this software.

Permission is granted to anyone to use this software for any purpose,

including commercial applications, and to alter it and redistribute it

freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not

claim that you wrote the original software. If you use this software

in a product, an acknowledgment in the product documentation would be

appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be

misrepresented as being the original software.

3. This notice may not be removed or altered from any source distribution.

Jean-loup Gailly Mark Adler

jloup@gzip.org madler@alumni.caltech.edu

The data format used by the zlib library is described by RFCs (Request for

Comments) 1950 to 1952 in the files http://tools.ietf.org/html/rfc1950

(zlib format), rfc1951 (deflate format) and rfc1952 (gzip format).

Closed FreeType 2

The FreeType License (FTL) is used.

The FreeType Project LICENSE

----------------------------

2006-Jan-27

Copyright 1996-2002, 2006 by

David Turner, Robert Wilhelm, and Werner Lemberg

Introduction

============

The FreeType Project is distributed in several archive packages;

some of them may contain, in addition to the FreeType font engine,

various tools and contributions which rely on, or relate to, the

FreeType Project.

This license applies to all files found in such packages, and

which do not fall under their own explicit license. The license

affects thus the FreeType font engine, the test programs,

documentation and makefiles, at the very least.

This license was inspired by the BSD, Artistic, and IJG

(Independent JPEG Group) licenses, which all encourage inclusion

and use of free software in commercial and freeware products

alike. As a consequence, its main points are that:

o We don't promise that this software works. However, we will be

interested in any kind of bug reports. (`as is' distribution)

o You can use this software for whatever you want, in parts or

full form, without having to pay us. (`royalty-free' usage)

o You may not pretend that you wrote this software. If you use

it, or only parts of it, in a program, you must acknowledge

somewhere in your documentation that you have used the

FreeType code. (`credits')

We specifically permit and encourage the inclusion of this

software, with or without modifications, in commercial products.

We disclaim all warranties covering The FreeType Project and

assume no liability related to The FreeType Project.

Finally, many people asked us for a preferred form for a

credit/disclaimer to use in compliance with this license. We thus

encourage you to use the following text:

"""

Portions of this software are copyright © <year> The FreeType

Project (www.freetype.org). All rights reserved.

"""

Please replace <year> with the value from the FreeType version you

actually use.

Legal Terms

===========

0. Definitions

--------------

Throughout this license, the terms `package', `FreeType Project',

and `FreeType archive' refer to the set of files originally

distributed by the authors (David Turner, Robert Wilhelm, and

Werner Lemberg) as the `FreeType Project', be they named as alpha,

beta or final release.

`You' refers to the licensee, or person using the project, where

`using' is a generic term including compiling the project's source

code as well as linking it to form a `program' or `executable'.

This program is referred to as `a program using the FreeType

engine'.

This license applies to all files distributed in the original

FreeType Project, including all source code, binaries and

documentation, unless otherwise stated in the file in its

original, unmodified form as distributed in the original archive.

If you are unsure whether or not a particular file is covered by

this license, you must contact us to verify this.

The FreeType Project is copyright (C) 1996-2000 by David Turner,

Robert Wilhelm, and Werner Lemberg. All rights reserved except as

specified below.

1. No Warranty

--------------

THE FREETYPE PROJECT IS PROVIDED `AS IS' WITHOUT WARRANTY OF ANY

KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,

WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR

PURPOSE. IN NO EVENT WILL ANY OF THE AUTHORS OR COPYRIGHT HOLDERS

BE LIABLE FOR ANY DAMAGES CAUSED BY THE USE OR THE INABILITY TO

USE, OF THE FREETYPE PROJECT.

2. Redistribution

-----------------

This license grants a worldwide, royalty-free, perpetual and

irrevocable right and license to use, execute, perform, compile,

display, copy, create derivative works of, distribute and

sublicense the FreeType Project (in both source and object code

forms) and derivative works thereof for any purpose; and to

authorize others to exercise some or all of the rights granted

herein, subject to the following conditions:

o Redistribution of source code must retain this license file

(`FTL.TXT') unaltered; any additions, deletions or changes to

the original files must be clearly indicated in accompanying

documentation. The copyright notices of the unaltered,

original files must be preserved in all copies of source

files.

o Redistribution in binary form must provide a disclaimer that

states that the software is based in part of the work of the

FreeType Team, in the distribution documentation. We also

encourage you to put an URL to the FreeType web page in your

documentation, though this isn't mandatory.

These conditions apply to any software derived from or based on

the FreeType Project, not just the unmodified files. If you use

our work, you must acknowledge us. However, no fee need be paid

to us.

3. Advertising

--------------

Neither the FreeType authors and contributors nor you shall use

the name of the other for commercial, advertising, or promotional

purposes without specific prior written permission.

We suggest, but do not require, that you use one or more of the

following phrases to refer to this software in your documentation

or advertising materials: `FreeType Project', `FreeType Engine',

`FreeType library', or `FreeType Distribution'.

As you have not signed this license, you are not required to

accept it. However, as the FreeType Project is copyrighted

material, only this license, or another one contracted with the

authors, grants you the right to use, distribute, and modify it.

Therefore, by using, distributing, or modifying the FreeType

Project, you indicate that you understand and accept all the terms

of this license.

4. Contacts

-----------

There are two mailing lists related to FreeType:

o freetype@nongnu.org

Discusses general use and applications of FreeType, as well as

future and wanted additions to the library and distribution.

If you are looking for support, start in this list if you

haven't found anything to help you in the documentation.

o freetype-devel@nongnu.org

Discusses bugs, as well as engine internals, design issues,

specific licenses, porting, etc.

Our home page can be found at

https://www.freetype.org

Closed go

Copyright (c) 2009 The Go Authors. All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions are

met:

* Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above

copyright notice, this list of conditions and the following disclaimer

in the documentation and/or other materials provided with the

distribution.

* Neither the name of Google Inc. nor the names of its

contributors may be used to endorse or promote products derived from

this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS

"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT

LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR

A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT

OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,

SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT

LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,

DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY

THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT

(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE

OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Closed go-macaron

Apache License

Version 2.0, January 2004

http://www.apache.org/licenses/

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction, and

distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by the copyright

owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all other entities

that control, are controlled by, or are under common control with that entity.

For the purposes of this definition, "control" means (i) the power, direct or

indirect, to cause the direction or management of such entity, whether by

contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the

outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity exercising

permissions granted by this License.

"Source" form shall mean the preferred form for making modifications, including

but not limited to software source code, documentation source, and configuration

files.

"Object" form shall mean any form resulting from mechanical transformation or

translation of a Source form, including but not limited to compiled object code,

generated documentation, and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or Object form, made

available under the License, as indicated by a copyright notice that is included

in or attached to the work (an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object form, that

is based on (or derived from) the Work and for which the editorial revisions,

annotations, elaborations, or other modifications represent, as a whole, an

original work of authorship. For the purposes of this License, Derivative Works

shall not include works that remain separable from, or merely link (or bind by

name) to the interfaces of, the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including the original version

of the Work and any modifications or additions to that Work or Derivative Works

thereof, that is intentionally submitted to Licensor for inclusion in the Work

by the copyright owner or by an individual or Legal Entity authorized to submit

on behalf of the copyright owner. For the purposes of this definition,

"submitted" means any form of electronic, verbal, or written communication sent

to the Licensor or its representatives, including but not limited to

communication on electronic mailing lists, source code control systems, and

issue tracking systems that are managed by, or on behalf of, the Licensor for

the purpose of discussing and improving the Work, but excluding communication

that is conspicuously marked or otherwise designated in writing by the copyright

owner as "Not a Contribution."

"Contributor" shall mean Licensor and any individual or Legal Entity on behalf

of whom a Contribution has been received by Licensor and subsequently

incorporated within the Work.

2. Grant of Copyright License.

Subject to the terms and conditions of this License, each Contributor hereby

grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,

irrevocable copyright license to reproduce, prepare Derivative Works of,

publicly display, publicly perform, sublicense, and distribute the Work and such

Derivative Works in Source or Object form.

3. Grant of Patent License.

Subject to the terms and conditions of this License, each Contributor hereby

grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,

irrevocable (except as stated in this section) patent license to make, have

made, use, offer to sell, sell, import, and otherwise transfer the Work, where

such license applies only to those patent claims licensable by such Contributor

that are necessarily infringed by their Contribution(s) alone or by combination

of their Contribution(s) with the Work to which such Contribution(s) was

submitted. If You institute patent litigation against any entity (including a

cross-claim or counterclaim in a lawsuit) alleging that the Work or a

Contribution incorporated within the Work constitutes direct or contributory

patent infringement, then any patent licenses granted to You under this License

for that Work shall terminate as of the date such litigation is filed.

4. Redistribution.

You may reproduce and distribute copies of the Work or Derivative Works thereof

in any medium, with or without modifications, and in Source or Object form,

provided that You meet the following conditions:

You must give any other recipients of the Work or Derivative Works a copy of

this License; and

You must cause any modified files to carry prominent notices stating that You

changed the files; and

You must retain, in the Source form of any Derivative Works that You distribute,

all copyright, patent, trademark, and attribution notices from the Source form

of the Work, excluding those notices that do not pertain to any part of the

Derivative Works; and

If the Work includes a "NOTICE" text file as part of its distribution, then any

Derivative Works that You distribute must include a readable copy of the

attribution notices contained within such NOTICE file, excluding those notices

that do not pertain to any part of the Derivative Works, in at least one of the

following places: within a NOTICE text file distributed as part of the

Derivative Works; within the Source form or documentation, if provided along

with the Derivative Works; or, within a display generated by the Derivative

Works, if and wherever such third-party notices normally appear. The contents of

the NOTICE file are for informational purposes only and do not modify the

License. You may add Your own attribution notices within Derivative Works that

You distribute, alongside or as an addendum to the NOTICE text from the Work,

provided that such additional attribution notices cannot be construed as

modifying the License.

You may add Your own copyright statement to Your modifications and may provide

additional or different license terms and conditions for use, reproduction, or

distribution of Your modifications, or for any such Derivative Works as a whole,

provided Your use, reproduction, and distribution of the Work otherwise complies

with the conditions stated in this License.

5. Submission of Contributions.

Unless You explicitly state otherwise, any Contribution intentionally submitted

for inclusion in the Work by You to the Licensor shall be under the terms and

conditions of this License, without any additional terms or conditions.

Notwithstanding the above, nothing herein shall supersede or modify the terms of

any separate license agreement you may have executed with Licensor regarding

such Contributions.

6. Trademarks.

This License does not grant permission to use the trade names, trademarks,

service marks, or product names of the Licensor, except as required for

reasonable and customary use in describing the origin of the Work and

reproducing the content of the NOTICE file.

7. Disclaimer of Warranty.

Unless required by applicable law or agreed to in writing, Licensor provides the

Work (and each Contributor provides its Contributions) on an "AS IS" BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied,

including, without limitation, any warranties or conditions of TITLE,

NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are

solely responsible for determining the appropriateness of using or

redistributing the Work and assume any risks associated with Your exercise of

permissions under this License.

8. Limitation of Liability.

In no event and under no legal theory, whether in tort (including negligence),

contract, or otherwise, unless required by applicable law (such as deliberate

and grossly negligent acts) or agreed to in writing, shall any Contributor be

liable to You for damages, including any direct, indirect, special, incidental,

or consequential damages of any character arising as a result of this License or

out of the use or inability to use the Work (including but not limited to

damages for loss of goodwill, work stoppage, computer failure or malfunction, or

any and all other commercial damages or losses), even if such Contributor has

been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability.

While redistributing the Work or Derivative Works thereof, You may choose to

offer, and charge a fee for, acceptance of support, warranty, indemnity, or

other liability obligations and/or rights consistent with this License. However,

in accepting such obligations, You may act only on Your own behalf and on Your

sole responsibility, not on behalf of any other Contributor, and only if You

agree to indemnify, defend, and hold each Contributor harmless for any liability

incurred by, or claims asserted against, such Contributor by reason of your

accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

APPENDIX: How to apply the Apache License to your work

To apply the Apache License to your work, attach the following boilerplate

notice, with the fields enclosed by brackets "[]" replaced with your own

identifying information. (Don't include the brackets!) The text should be

enclosed in the appropriate comment syntax for the file format. We also

recommend that a file or class name and description of purpose be included on

the same "printed page" as the copyright notice for easier identification within

third-party archives.

Copyright 2014 The Macaron Authors

Licensed under the Apache License, Version 2.0 (the "License");

you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software

distributed under the License is distributed on an "AS IS" BASIS,

WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.

See the License for the specific language governing permissions and

limitations under the License.

Closed Google Protocol Buffer 3.6.1

Copyright 2008 Google Inc. All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions are

met:

* Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above

copyright notice, this list of conditions and the following disclaimer

in the documentation and/or other materials provided with the

distribution.

* Neither the name of Google Inc. nor the names of its

contributors may be used to endorse or promote products derived from

this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS

"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT

LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR

A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT

OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,

SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT

LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,

DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY

THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT

(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE

OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Code generated by the Protocol Buffer compiler is owned by the owner

of the input file used when generating it. This code is not

standalone and requires a support library to be linked with it. This

support library is itself covered by the above license.

(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE

OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Code generated by the Protocol Buffer compiler is owned by the owner

of the input file used when generating it. This code is not

standalone and requires a support library to be linked with it. This

support library is itself covered by the above license.

Closed HarfBuzz

HarfBuzz was previously licensed under different licenses. This was

changed in January 2008. If you need to relicense your old copies,

consult the announcement of the license change on the internet.

Other than that, each copy of HarfBuzz is licensed under the COPYING

file included with it. The actual license follows:

Permission is hereby granted, without written agreement and without

license or royalty fees, to use, copy, modify, and distribute this

software and its documentation for any purpose, provided that the

above copyright notice and the following two paragraphs appear in

all copies of this software.

IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE TO ANY PARTY FOR

DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES

ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN

IF THE COPYRIGHT HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH

DAMAGE.

THE COPYRIGHT HOLDER SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,

BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND

FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS

ON AN "AS IS" BASIS, AND THE COPYRIGHT HOLDER HAS NO OBLIGATION TO

PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.

Closed HarfBuzz-NG

HarfBuzz is licensed under the so-called "Old MIT" license. Details follow.

For parts of HarfBuzz that are licensed under different licenses see individual

files names COPYING in subdirectories where applicable.

Copyright © 2010,2011,2012 Google, Inc.

Copyright © 2012 Mozilla Foundation

Copyright © 2011 Codethink Limited

Copyright © 2008,2010 Nokia Corporation and/or its subsidiary(-ies)

Copyright © 2009 Keith Stribley

Copyright © 2009 Martin Hosken and SIL International

Copyright © 2007 Chris Wilson

Copyright © 2006 Behdad Esfahbod

Copyright © 2005 David Turner

Copyright © 2004,2007,2008,2009,2010 Red Hat, Inc.

Copyright © 1998-2004 David Turner and Werner Lemberg

For full copyright notices consult the individual files in the package.

Permission is hereby granted, without written agreement and without

license or royalty fees, to use, copy, modify, and distribute this

software and its documentation for any purpose, provided that the

above copyright notice and the following two paragraphs appear in

all copies of this software.

IN NO EVENT SHALL THE COPYRIGHT HOLDER BE LIABLE TO ANY PARTY FOR

DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES

ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN

IF THE COPYRIGHT HOLDER HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH

DAMAGE.

THE COPYRIGHT HOLDER SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING,

BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND

FITNESS FOR A PARTICULAR PURPOSE. THE SOFTWARE PROVIDED HEREUNDER IS

ON AN "AS IS" BASIS, AND THE COPYRIGHT HOLDER HAS NO OBLIGATION TO

PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.

Closed jQuery

Copyright (c) 2010-2017, Christian Johansen, christian@cjohansen.no

All rights reserved.

Redistribution and use in source and binary forms, with or without modification,

are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice,

this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright notice,

this list of conditions and the following disclaimer in the documentation

and/or other materials provided with the distribution.

* Neither the name of Christian Johansen nor the names of his contributors

may be used to endorse or promote products derived from this software

without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND

ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED

WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE

DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE

FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR

SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER

CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,

OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF

THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Closed jQuery-ui

Copyright jQuery Foundation and other contributors, https://jquery.org/

This software consists of voluntary contributions made by many

individuals. For exact contribution history, see the revision history

available at https://github.com/jquery/jquery-ui

The following license applies to all parts of this software except as

documented below:

====

Permission is hereby granted, free of charge, to any person obtaining

a copy of this software and associated documentation files (the

"Software"), to deal in the Software without restriction, including

without limitation the rights to use, copy, modify, merge, publish,

distribute, sublicense, and/or sell copies of the Software, and to

permit persons to whom the Software is furnished to do so, subject to

the following conditions:

The above copyright notice and this permission notice shall be

included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,

EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF

MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND

NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE

LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION

OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION

WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

====

Copyright and related rights for sample code are waived via CC0. Sample

code is defined as all source code contained within the demos directory.

CC0: http://creativecommons.org/publicdomain/zero/1.0/

====

All files located in the node_modules and external directories are

externally maintained libraries used by this software which have their

own licenses; we recommend you read them, as their terms may differ from

the terms above.

Closed libcurl

COPYRIGHT AND PERMISSION NOTICE

Copyright (c) 1996 - 2017, Daniel Stenberg, daniel@haxx.se, and many contributors, see the THANKS file.

All rights reserved.

Permission to use, copy, modify, and distribute this software for any purpose with or without fee is hereby

granted, provided that the above copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT

LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD

PARTY RIGHTS. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER

LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH

THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the name of a copyright holder shall not be used in advertising or

otherwise to promote the sale, use or other dealings in this Software without prior written authorization

of the copyright holder.

Closed LibJPEG-turbo

This software is based in part on the work of the Independent JPEG Group.

libjpeg-turbo Licenses

======================

...

The Modified (3-clause) BSD License

===================================

Copyright (C)2009-2017 D.R.Commander. All Rights Reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice,

this list of conditions and the following disclaimer.

- Redistributions in binary form must reproduce the above copyright notice,

this list of conditions and the following disclaimer in the documentation

and/or other materials provided with the distribution.

- Neither the name of the libjpeg-turbo Project nor the names of its

contributors may be used to endorse or promote products derived from this

software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS",

AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE

IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE

ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDERS OR CONTRIBUTORS BE

LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR

CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF

SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS

INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN

CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)

ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE

POSSIBILITY OF SUCH DAMAGE.

Closed libsodium

https://github.com/jedisct1/libsodium

* ISC License

*

* Copyright (c) 2013-2017

* Frank Denis <j at pureftpd dot org>

*

* Permission to use, copy, modify, and/or distribute this software for any

* purpose with or without fee is hereby granted, provided that the above

* copyright notice and this permission notice appear in all copies.

*

* THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES

* WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF

* MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR

* ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES

* WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN

* ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF

* OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

Closed MvvmLightLibs 5.4.1.1

The MIT License (MIT)

Copyright (c) 2009 - 2018 Laurent Bugnion

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Closed Newtonsoft.Json 12.0.3

MIT License

Copyright (c) _____

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Closed OpenGL ES 2 Headers

Copyright (c) 2013-2014 The Khronos Group Inc.

Permission is hereby granted, free of charge, to any person obtaining a

copy of this software and/or associated documentation files (the

"Materials"), to deal in the Materials without restriction, including

without limitation the rights to use, copy, modify, merge, publish,

distribute, sublicense, and/or sell copies of the Materials, and to

permit persons to whom the Materials are furnished to do so, subject to

the following conditions:

The above copyright notice and this permission notice shall be included

in all copies or substantial portions of the Materials.

THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,

EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF

MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY

CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,

TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE

MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.

Closed OpenGL Headers

Copyright (c) 2013-2014 The Khronos Group Inc.

Permission is hereby granted, free of charge, to any person obtaining a

copy of this software and/or associated documentation files (the

"Materials"), to deal in the Materials without restriction, including

without limitation the rights to use, copy, modify, merge, publish,

distribute, sublicense, and/or sell copies of the Materials, and to

permit persons to whom the Materials are furnished to do so, subject to

the following conditions:

The above copyright notice and this permission notice shall be included

in all copies or substantial portions of the Materials.

THE MATERIALS ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,

EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF

MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.

IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY

CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,

TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE

MATERIALS OR THE USE OR OTHER DEALINGS IN THE MATERIALS.

Closed Parts of QTemporaryFile

Copyright (c) 1987, 1993

The Regents of the University of California. All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions

are met:

1. Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright

notice, this list of conditions and the following disclaimer in the

documentation and/or other materials provided with the distribution.

3. Neither the name of the University nor the names of its contributors

may be used to endorse or promote products derived from this software

without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND

ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE

IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE

ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE

FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS

OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)

HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT

LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY

OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF

SUCH DAMAGE.

Closed Petteri Aimonen Nano Protocol Buffer 0.3.9.1

Copyright (c) 2011 Petteri Aimonen <jpa at nanopb.mail.kapsi.fi>

This software is provided 'as-is', without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software.

Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions:

1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgment in the product documentation would be appreciated but is not required.

2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software.

3. This notice may not be removed or altered from any source distribution.

Closed Public Suffix List

Mozilla Public License Version 2.0

==================================

1. Definitions

--------------

1.1. "Contributor"

means each individual or legal entity that creates, contributes to

the creation of, or owns Covered Software.

1.2. "Contributor Version"

means the combination of the Contributions of others (if any) used

by a Contributor and that particular Contributor's Contribution.

1.3. "Contribution"

means Covered Software of a particular Contributor.

1.4. "Covered Software"

means Source Code Form to which the initial Contributor has attached

the notice in Exhibit A, the Executable Form of such Source Code

Form, and Modifications of such Source Code Form, in each case

including portions thereof.

1.5. "Incompatible With Secondary Licenses"

means

(a) that the initial Contributor has attached the notice described

in Exhibit B to the Covered Software; or

(b) that the Covered Software was made available under the terms of

version 1.1 or earlier of the License, but not also under the

terms of a Secondary License.

1.6. "Executable Form"

means any form of the work other than Source Code Form.

1.7. "Larger Work"

means a work that combines Covered Software with other material, in

a separate file or files, that is not Covered Software.

1.8. "License"

means this document.

1.9. "Licensable"

means having the right to grant, to the maximum extent possible,

whether at the time of the initial grant or subsequently, any and

all of the rights conveyed by this License.

1.10. "Modifications"

means any of the following:

(a) any file in Source Code Form that results from an addition to,

deletion from, or modification of the contents of Covered

Software; or

(b) any new file in Source Code Form that contains any Covered

Software.

1.11. "Patent Claims" of a Contributor

means any patent claim(s), including without limitation, method,

process, and apparatus claims, in any patent Licensable by such

Contributor that would be infringed, but for the grant of the

License, by the making, using, selling, offering for sale, having

made, import, or transfer of either its Contributions or its

Contributor Version.

1.12. "Secondary License"

means either the GNU General Public License, Version 2.0, the GNU

Lesser General Public License, Version 2.1, the GNU Affero General

Public License, Version 3.0, or any later versions of those

licenses.

1.13. "Source Code Form"

means the form of the work preferred for making modifications.

1.14. "You" (or "Your")

means an individual or a legal entity exercising rights under this

License. For legal entities, "You" includes any entity that

controls, is controlled by, or is under common control with You. For

purposes of this definition, "control" means (a) the power, direct

or indirect, to cause the direction or management of such entity,

whether by contract or otherwise, or (b) ownership of more than

fifty percent (50%) of the outstanding shares or beneficial

ownership of such entity.

2. License Grants and Conditions

--------------------------------

2.1. Grants

Each Contributor hereby grants You a world-wide

non-exclusive license:

(a) under intellectual property rights (other than

Licensable by such Contributor to use, reproduce

modify, display, perform, distribute, and otherwise

Contributions, either on an unmodified basis

as part of a Larger Work; and

(b) under Patent Claims of such Contributor to

for sale, have made, import, and otherwise

Contributions or its Contributor Version.

2.2. Effective Date

The licenses granted in Section 2.1 with respect

become effective for each Contribution on the date

distributes such Contribution.

2.3. Limitations on Grant Scope

The licenses granted in this Section 2 are the

this License. No additional rights or licenses

distribution or licensing of Covered Software under

Notwithstanding Section 2.1(b) above, no patent

Contributor:

(a) for any code that a Contributor has removed

or

(b) for infringements caused by: (i) Your and any

modifications of Covered Software, or (ii)

Contributions with other software (except as

Version); or

(c) under Patent Claims infringed by Covered Software

its Contributions.

This License does not grant any rights in the trademarks

or logos of any Contributor (except as may be necessary

the notice requirements in Section 3.4).

2.4. Subsequent Licenses

No Contributor makes additional grants as a result

distribute the Covered Software under a subsequent

License (see Section 10.2) or under the terms of

permitted under the terms of Section 3.3).

2.5. Representation

Each Contributor represents that the Contributor

Contributions are its original creation(s) or it

to grant the rights to its Contributions conveyed

2.6. Fair Use

This License is not intended to limit any rights

applicable copyright doctrines of fair use, fair

equivalents.

2.7. Conditions

Sections 3.1, 3.2, 3.3, and 3.4 are conditions

in Section 2.1.

3. Responsibilities

-------------------

3.1. Distribution of Source Form

All distribution of Covered Software in Source

Modifications that You create or to which You contribute

the terms of this License. You must inform recipients

Code Form of the Covered Software is governed by

License, and how they can obtain a copy of this

attempt to alter or restrict the recipients' rights

Form.

3.2. Distribution of Executable Form

If You distribute Covered Software in Executable Form then:

(a) such Covered Software must also be made available in Source Code

Form, as described in Section 3.1, and You must inform recipients of

the Executable Form how they can obtain a copy of such Source Code

Form by reasonable means in a timely manner, at a charge no more

than the cost of distribution to the recipient; and

(b) You may distribute such Executable Form under the terms of this

License, or sublicense it under different terms, provided that the

license for the Executable Form does not attempt to limit or alter

the recipients' rights in the Source Code Form under this License.

3.3. Distribution of a Larger Work

You may create and distribute a Larger Work under terms of Your choice,

provided that You also comply with the requirements of this License for

the Covered Software. If the Larger Work is a combination of Covered

Software with a work governed by one or more Secondary Licenses, and the

Covered Software is not Incompatible With Secondary Licenses, this

License permits You to additionally distribute such Covered Software

under the terms of such Secondary License(s), so that the recipient of

the Larger Work may, at their option, further distribute the Covered

Software under the terms of either this License or such Secondary

License(s).

3.4. Notices

You may not remove or alter the substance of any license notices

(including copyright notices, patent notices, disclaimers of warranty,

or limitations of liability) contained within the Source Code Form of

the Covered Software, except that You may alter any license notices to

the extent required to remedy known factual inaccuracies.

3.5. Application of Additional Terms

You may choose to offer, and to charge a fee for, warranty, support,

indemnity or liability obligations to one or more recipients of Covered

Software. However, You may do so only on Your own behalf, and not on

behalf of any Contributor. You must make it absolutely clear that any

such warranty, support, indemnity, or liability obligation is offered by

You alone, and You hereby agree to indemnify every Contributor for any

liability incurred by such Contributor as a result of warranty, support,

indemnity or liability terms You offer. You may include additional

disclaimers of warranty and limitations of liability specific to any

jurisdiction.

4. Inability to Comply Due to Statute or Regulation

---------------------------------------------------

If it is impossible for You to comply with any of the terms of this

License with respect to some or all of the Covered Software due to

statute, judicial order, or regulation then You must: (a) comply with

the terms of this License to the maximum extent possible; and (b)

describe the limitations and the code they affect. Such description must

be placed in a text file included with all distributions of the Covered

Software under this License. Except to the extent prohibited by statute

or regulation, such description must be sufficiently detailed for a

recipient of ordinary skill to be able to understand it.

5. Termination

--------------

5.1. The rights granted under this License will terminate automatically

if You fail to comply with any of its terms. However, if You become

compliant, then the rights granted under this License from a particular

Contributor are reinstated (a) provisionally, unless and until such

Contributor explicitly and finally terminates Your grants, and (b) on an

ongoing basis, if such Contributor fails to notify You of the

non-compliance by some reasonable means prior to 60 days after You have

come back into compliance. Moreover, Your grants from a particular

Contributor are reinstated on an ongoing basis if such Contributor

notifies You of the non-compliance by some reasonable means, this is the

first time You have received notice of non-compliance with this License

from such Contributor, and You become compliant prior to 30 days after

Your receipt of the notice.

5.2. If You initiate litigation against any entity by asserting a patent

infringement claim (excluding declaratory judgment actions,

counter-claims, and cross-claims) alleging that a Contributor Version

directly or indirectly infringes any patent, then the rights granted to

You by any and all Contributors for the Covered Software under Section

2.1 of this License shall terminate.

5.3. In the event of termination under Sections 5.1 or 5.2 above, all

end user license agreements (excluding distributors and resellers) which

have been validly granted by You or Your distributors under this License

prior to termination shall survive termination.

************************************************************************

* *

* 6. Disclaimer of Warranty *

* ------------------------- *

* *

* Covered Software is provided under this License on an "as is" *

* basis, without warranty of any kind, either expressed, implied, or *

* statutory, including, without limitation, warranties that the *

* Covered Software is free of defects, merchantable, fit for a *

* particular purpose or non-infringing. The entire risk as to the *

* quality and performance of the Covered Software is with You. *

* Should any Covered Software prove defective in any respect, You *

* (not any Contributor) assume the cost of any necessary servicing, *

* repair, or correction. This disclaimer of warranty constitutes an *

* essential part of this License. No use of any Covered Software is *

* authorized under this License except under this disclaimer. *

* *

************************************************************************

************************************************************************

* *

* 7. Limitation of Liability *

* -------------------------- *

* *

* Under no circumstances and under no legal theory, whether tort *

* (including negligence), contract, or otherwise, shall any *

* Contributor, or anyone who distributes Covered Software as *

* permitted above, be liable to You for any direct, indirect, *

* special, incidental, or consequential damages of any character *

* including, without limitation, damages for lost profits, loss of *

* goodwill, work stoppage, computer failure or malfunction, or any *

* and all other commercial damages or losses, even if such party *

* shall have been informed of the possibility of such damages. This *

* limitation of liability shall not apply to liability for death or *

* personal injury resulting from such party's negligence to the *

* extent applicable law prohibits such limitation. Some *

* jurisdictions do not allow the exclusion or limitation of *

* incidental or consequential damages, so this exclusion and *

* limitation may not apply to You. *

* *

************************************************************************

8. Litigation

-------------

Any litigation relating to this License may be brought only in the

courts of a jurisdiction where the defendant maintains its principal

place of business and such litigation shall be governed by laws of that

jurisdiction, without reference to its conflict-of-law provisions.

Nothing in this Section shall prevent a party's ability to bring

cross-claims or counter-claims.

9. Miscellaneous

----------------

This License represents the complete agreement concerning the subject

matter hereof. If any provision of this License is held to be

unenforceable, such provision shall be reformed only to the extent

necessary to make it enforceable. Any law or regulation which provides

that the language of a contract shall be construed against the drafter

shall not be used to construe this License against a Contributor.

10. Versions of the License

---------------------------

10.1. New Versions

Mozilla Foundation is the license steward. Except as provided in Section

10.3, no one other than the license steward has the right to modify or

publish new versions of this License. Each version will be given a

distinguishing version number.

10.2. Effect of New Versions

You may distribute the Covered Software under the terms of the version

of the License under which You originally received the Covered Software,

or under the terms of any subsequent version published by the license

steward.

10.3. Modified Versions

If you create software not governed by this License, and you want to

create a new license for such software, you may create and use a

modified version of this License if you rename the license and remove

any references to the name of the license steward (except to note that

such modified license differs from this License).

10.4. Distributing Source Code Form that is Incompatible With Secondary

Licenses

If You choose to distribute Source Code Form that is Incompatible With

Secondary Licenses under the terms of this version of the License, the

notice described in Exhibit B of this License must be attached.

Exhibit A - Source Code Form License Notice

-------------------------------------------

This Source Code Form is subject to the terms of the Mozilla Public

License, v. 2.0. If a copy of the MPL was not distributed with this

file, You can obtain one at https://mozilla.org/MPL/2.0/.

If it is not possible or desirable to put the notice in a particular

file, then You may include the notice in a location (such as a LICENSE

file in a relevant directory) where a recipient would be likely to look

for such a notice.

You may add additional accurate notices of copyright ownership.

Exhibit B - "Incompatible With Secondary Licenses" Notice

---------------------------------------------------------

This Source Code Form is "Incompatible With Secondary Licenses", as

defined by the Mozilla Public License, v. 2.0.

Closed qtmain Library

Copyright (C) 2016 The Qt Company Ltd.

Commercial License Usage

Licensees holding valid commercial Qt licenses may use this file in

accordance with the commercial license agreement provided with the

Software or, alternatively, in accordance with the terms contained in

a written agreement between you and The Qt Company. For licensing terms

and conditions see https://www.qt.io/terms-conditions. For further

information use the contact form at https://www.qt.io/contact-us.

BSD License Usage

Alternatively, you may use this file under the terms of the BSD license

as follows:

"Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions are

met:

* Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

* Redistributions in binary form must reproduce the above copyright

notice, this list of conditions and the following disclaimer in

the documentation and/or other materials provided with the

distribution.

* Neither the name of The Qt Company Ltd nor the names of its

contributors may be used to endorse or promote products derived

from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS

"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT

LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR

A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT

OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,

SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT

LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,

DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY

THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT

(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE

OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE."

Closed SHA256

FIPS-180-2 compliant SHA-256 implementation Apache License Version 2.0, January 2004
http://www.apache.org/licenses/

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are undercommon control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. "Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution."

"Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the

Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

(a) You must give any other recipients of the Work or Derivative Works a copy of this License; and

(b) You must cause any modified files to carry prominent notices stating that You changed the files; and

(c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and

(d) If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.

You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

APPENDIX: How to apply the Apache License to your work.

To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets "[]" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same "printed page" as the copyright notice for easier identification within third-party archives.

Copyright [yyyy] [name of copyright owner]

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Closed SHA512

FIPS-180-2 compliant SHA-384/512 implementation Apache License Version 2.0, January 2004
http://www.apache.org/licenses/

TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

1. Definitions.

"License" shall mean the terms and conditions for use, reproduction, and distribution as defined by Sections 1 through 9 of this document.

"Licensor" shall mean the copyright owner or entity authorized by the copyright owner that is granting the License.

"Legal Entity" shall mean the union of the acting entity and all other entities that control, are controlled by, or are under common control with that entity. For the purposes of this definition, "control" means (i) the power, direct or indirect, to cause the direction or management of such entity, whether by contract or otherwise, or (ii) ownership of fifty percent (50%) or more of the outstanding shares, or (iii) beneficial ownership of such entity.

"You" (or "Your") shall mean an individual or Legal Entity exercising permissions granted by this License.

"Source" form shall mean the preferred form for making modifications, including but not limited to software source code, documentation source, and configuration files. "Object" form shall mean any form resulting from mechanical transformation or translation of a Source form, including but not limited to compiled object code, generated documentation, and conversions to other media types.

"Work" shall mean the work of authorship, whether in Source or Object form, made available under the License, as indicated by a copyright notice that is included in or attached to the work (an example is provided in the Appendix below).

"Derivative Works" shall mean any work, whether in Source or Object form, that is based on (or derived from) the Work and for which the editorial revisions, annotations, elaborations, or other modifications represent, as a whole, an original work of authorship. For the purposes of this License, Derivative Works shall not include works that remain separable from, or merely link (or bind by name) to the interfaces of, the Work and Derivative Works thereof.

"Contribution" shall mean any work of authorship, including the original version of the Work and any modifications or additions to that Work or Derivative Works thereof, that is intentionally submitted to Licensor for inclusion in the Work by the copyright owner or by an individual or Legal Entity authorized to submit on behalf of the copyright owner. For the purposes of this definition, "submitted" means any form of electronic, verbal, or written communication sent to the Licensor or its representatives, including but not limited to communication on electronic mailing lists, source code control systems, and issue tracking systems that are managed by, or on behalf of, the Licensor for the purpose of discussing and improving the Work, but excluding communication that is conspicuously marked or otherwise designated in writing by the copyright owner as "Not a Contribution."

"Contributor" shall mean Licensor and any individual or Legal Entity on behalf of whom a Contribution has been received by Licensor and subsequently incorporated within the Work.

2. Grant of Copyright License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable copyright license to reproduce, prepare Derivative Works of, publicly display, publicly perform, sublicense, and distribute the

Work and such Derivative Works in Source or Object form.

3. Grant of Patent License. Subject to the terms and conditions of this License, each Contributor hereby grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free, irrevocable (except as stated in this section) patent license to make, have made, use, offer to sell, sell, import, and otherwise transfer the Work, where such license applies only to those patent claims licensable by such Contributor that are necessarily infringed by their Contribution(s) alone or by combination of their Contribution(s) with the Work to which such Contribution(s) was submitted. If You institute patent litigation against any entity (including a cross-claim or counterclaim in a lawsuit) alleging that the Work or a Contribution incorporated within the Work constitutes direct or contributory patent infringement, then any patent licenses granted to You under this License for that Work shall terminate as of the date such litigation is filed.

4. Redistribution. You may reproduce and distribute copies of the Work or Derivative Works thereof in any medium, with or without modifications, and in Source or Object form, provided that You meet the following conditions:

(a) You must give any other recipients of the Work or Derivative Works a copy of this License; and

(b) You must cause any modified files to carry prominent notices stating that You changed the files; and

(c) You must retain, in the Source form of any Derivative Works that You distribute, all copyright, patent, trademark, and attribution notices from the Source form of the Work, excluding those notices that do not pertain to any part of the Derivative Works; and

(d) If the Work includes a "NOTICE" text file as part of its distribution, then any Derivative Works that You distribute must include a readable copy of the attribution notices contained within such NOTICE file, excluding those notices that do not pertain to any part of the Derivative Works, in at least one of the following places: within a NOTICE text file distributed as part of the Derivative Works; within the Source form or documentation, if provided along with the Derivative Works; or, within a display generated by the Derivative Works, if and wherever such third-party notices normally appear. The contents of the NOTICE file are for informational purposes only and do not modify the License. You may add Your own attribution notices within Derivative Works that You distribute, alongside or as an addendum to the NOTICE text from the Work, provided that such additional attribution notices cannot be construed as modifying the License.

You may add Your own copyright statement to Your modifications and may provide additional or different license terms and conditions for use, reproduction, or distribution of Your modifications, or for any such Derivative Works as a whole, provided Your use, reproduction, and distribution of the Work otherwise complies with the conditions stated in this License.

5. Submission of Contributions. Unless You explicitly state otherwise, any Contribution intentionally submitted for inclusion in the Work by You to the Licensor shall be under the terms and conditions of this License, without any additional terms or conditions. Notwithstanding the above, nothing herein shall supersede or modify the terms of any separate license agreement you may have executed with Licensor regarding such Contributions.

6. Trademarks. This License does not grant permission to use the trade names, trademarks, service marks, or product names of the Licensor, except as required for reasonable and customary use in describing the origin of the Work and reproducing the content of the NOTICE file.

7. Disclaimer of Warranty. Unless required by applicable law or agreed to in writing, Licensor provides the Work (and each Contributor provides its Contributions) on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied, including, without limitation, any warranties or conditions of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A PARTICULAR PURPOSE. You are solely responsible for determining the appropriateness of using or redistributing the Work and assume any risks associated with Your exercise of permissions under this License.

8. Limitation of Liability. In no event and under no legal theory, whether in tort (including negligence), contract, or otherwise, unless required by applicable law (such as deliberate and grossly negligent acts) or agreed to in writing, shall any Contributor be liable to You for damages, including any direct, indirect, special, incidental, or consequential damages of any character arising as a result of this License or out of the use or inability to use the Work (including but not limited to damages for loss of goodwill, work stoppage, computer failure or malfunction, or any and all other commercial damages or losses), even if such Contributor has been advised of the possibility of such damages.

9. Accepting Warranty or Additional Liability. While redistributing the Work or Derivative Works thereof, You may choose to offer, and charge a fee for, acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this License. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, not on behalf of any other Contributor, and only if You agree to indemnify, defend, and hold each Contributor harmless for any liability incurred by, or claims asserted against, such Contributor by reason of your accepting any such warranty or additional liability.

END OF TERMS AND CONDITIONS

APPENDIX: How to apply the Apache License to your work.

To apply the Apache License to your work, attach the following boilerplate notice, with the fields enclosed by brackets "[]" replaced with your own identifying information. (Don't include the brackets!) The text should be enclosed in the appropriate comment syntax for the file format. We also recommend that a file or class name and description of purpose be included on the same "printed page" as the copyright notice for easier identification within third-party archives.

Copyright [yyyy] [name of copyright owner]

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Closed Text Codecs: EUC-JP, ISO 2022-JP (JIS), Shift-JIS

Copyright (C) 1999 Serika Kurusugawa, All rights reserved.

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions

are met:

1. Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright

notice, this list of conditions and the following disclaimer in the

documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND

ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE

IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE

ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE

FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS

OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)

HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT

LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY

OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF

SUCH DAMAGE.

Closed Text Codec: GBK

Copyright (C) 2000 TurboLinux, Inc. Written by Justin Yu and Sean Chen.

Copyright (C) 2001, 2002 Turbolinux, Inc. Written by James Su.

Copyright (C) 2001, 2002 ThizLinux Laboratory Ltd. Written by Anthony Fok

Redistribution and use in source and binary forms, with or without

modification, are permitted provided that the following conditions

are met:

1. Redistributions of source code must retain the above copyright

notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright

notice, this list of conditions and the following disclaimer in the

documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS "AS IS" AND

ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE

IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE

ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE

FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL

DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS

OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)

HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT

LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY

OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF

SUCH DAMAGE.

Closed XCB

Copyright © 2000 Keith Packard

Copyright © 2006 Jamey Sharp

Copyright © 2007-2008 Vincent Torri <vtorri@univ-evry.fr>

Copyright © 2007 Bart Massey

Copyright © 2008-2009 Julien Danjou <julien@danjou.info>

Copyright © 2008 Arnaud Fontaine <arnau@debian.org>

Copyright © 2008 Bart Massey <bart@cs.pdx.edu>

Copyright © 2008 Ian Osgood <iano@quirkster.com>

Copyright © 2008 Jamey Sharp <jamey@minilop.net>

Copyright © 2008 Josh Triplett <josh@freedesktop.org>

Copyright © 2008 Ulrich Eckhardt doomster@knuut.de

Permission is hereby granted, free of charge, to any person

obtaining a copy of this software and associated documentation

files (the "Software"), to deal in the Software without

restriction, including without limitation the rights to use, copy,

modify, merge, publish, distribute, sublicense, and/or sell copies

of the Software, and to permit persons to whom the Software is

furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be

included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,

EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF

MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND

NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY

CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF

CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION

WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the names of the authors or

their institutions shall not be used in advertising or otherwise to

promote the sale, use or other dealings in this Software without

prior written authorization from the authors.

Closed xkbcommon

The following is a list of all copyright notices and license statements which

appear in the xkbcommon source tree.

If making new contributions, the first form (i.e. Daniel Stone, Ran Benita,

etc) is vastly preferred.

All licenses are derivative of the MIT/X11 license, mostly identical other

than no-endorsement clauses (e.g. paragraph 4 of The Open Group's license).

These statements are split into two sections: one for the code compiled and

distributed as part of the libxkbcommon shared library and the code

component of all tests (i.e. everything under src/ and xkbcommon/, plus the

.c and .h files under test/), and another for the test data under test/data,

which is distributed with the xkbcommon source tarball, but not installed to

the system.

BEGINNING OF SOFTWARE COPYRIGHT/LICENSE STATEMENTS:

-------------------------------------------------------------------------------

Copyright © 2009-2012 Daniel Stone

Copyright © 2012 Ran Benita <ran234@gmail.com>

Copyright © 2010, 2012 Intel Corporation

Copyright © 2008, 2009 Dan Nicholson

Copyright © 2010 Francisco Jerez <currojerez@riseup.net>

Permission is hereby granted, free of charge, to any person obtaining a

copy of this software and associated documentation files (the "Software"),

to deal in the Software without restriction, including without limitation

the rights to use, copy, modify, merge, publish, distribute, sublicense,

and/or sell copies of the Software, and to permit persons to whom the

Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice (including the next

paragraph) shall be included in all copies or substantial portions of the

Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL

THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER

LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING

FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER

DEALINGS IN THE SOFTWARE.

-------------------------------------------------------------------------------

Copyright 1985, 1987, 1988, 1990, 1998 The Open Group

Permission is hereby granted, free of charge, to any person obtaining a

copy of this software and associated documentation files (the "Software"),

to deal in the Software without restriction, including without limitation

the rights to use, copy, modify, merge, publish, distribute, sublicense,

and/or sell copies of the Software, and to permit persons to whom the

Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in

all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE

AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN

ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN

CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

Except as contained in this notice, the names of the authors or their

institutions shall not be used in advertising or otherwise to promote the

sale, use or other dealings in this Software without prior written

authorization from the authors.

-------------------------------------------------------------------------------

Copyright (c) 1993, 1994, 1995, 1996 by Silicon Graphics Computer Systems, Inc.

Permission to use, copy, modify, and distribute this

software and its documentation for any purpose and without

fee is hereby granted, provided that the above copyright

notice appear in all copies and that both that copyright

notice and this permission notice appear in supporting

documentation, and that the name of Silicon Graphics not be

used in advertising or publicity pertaining to distribution

of the software without specific prior written permission.

Silicon Graphics makes no representation about the suitability

of this software for any purpose. It is provided "as is"

without any express or implied warranty.

SILICON GRAPHICS DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS

SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY

AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL SILICON

GRAPHICS BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL

DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,

DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE

OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH

THE USE OR PERFORMANCE OF THIS SOFTWARE.

-------------------------------------------------------------------------------

Copyright 1987, 1988 by Digital Equipment Corporation, Maynard, Massachusetts.

All Rights Reserved

Permission to use, copy, modify, and distribute this software and its

documentation for any purpose and without fee is hereby granted,

provided that the above copyright notice appear in all copies and that

both that copyright notice and this permission notice appear in

supporting documentation, and that the name of Digital not be

used in advertising or publicity pertaining to distribution of the

software without specific, written prior permission.

DIGITAL DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING

ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL

DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR

ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,

WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,

ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS

SOFTWARE.

-------------------------------------------------------------------------------

Copyright (C) 2011 Joseph Adams <joeyadams3.14159@gmail.com>

Permission is hereby granted, free of charge, to any person obtaining a copy

of this software and associated documentation files (the "Software"), to deal

in the Software without restriction, including without limitation the rights

to use, copy, modify, merge, publish, distribute, sublicense, and/or sell

copies of the Software, and to permit persons to whom the Software is

furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in

all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR

IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,

FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE

AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER

LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,

OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN

THE SOFTWARE.

-------------------------------------------------------------------------------

END OF SOFTWARE COPYRIGHT/LICENSE STATEMENTS

BEGINNING OF LICENSE STATEMENTS FOR UNDISTRIBUTED DATA FILES IN test/data,

derived from xkeyboard-config:

-------------------------------------------------------------------------------

Copyright 1996 by Joseph Moss

Copyright (C) 2002-2007 Free Software Foundation, Inc.

Copyright (C) Dmitry Golubev <lastguru@mail.ru>, 2003-2004

Copyright (C) 2004, Gregory Mokhin <mokhin@bog.msu.ru>

Copyright (C) 2006 Erdal Ronahî

Permission to use, copy, modify, distribute, and sell this software and its

documentation for any purpose is hereby granted without fee, provided that

the above copyright notice appear in all copies and that both that

copyright notice and this permission notice appear in supporting

documentation, and that the name of the copyright holder(s) not be used in

advertising or publicity pertaining to distribution of the software without

specific, written prior permission. The copyright holder(s) makes no

representations about the suitability of this software for any purpose. It

is provided "as is" without express or implied warranty.

THE COPYRIGHT HOLDER(S) DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,

INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO

EVENT SHALL THE COPYRIGHT HOLDER(S) BE LIABLE FOR ANY SPECIAL, INDIRECT OR

CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,

DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER

TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR

PERFORMANCE OF THIS SOFTWARE.